%global pip_name dict.sorted
%global short_pip_name sdict

Summary:        This is dict.sorted provides subclasses to Python’s built-in dictionary
Name:           python-%{pip_name}
Version:        1.0.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/lukesneeringer/dict-sorted
Source0:        http://pypi.python.org/packages/source/d/%{pip_name}/%{pip_name}-%{version}.tar.gz
Requires:       python
Requires:       python-six
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Provides:       %{pip_name} = %{version}
BuildArch:      noarch

%description
This is dict.sorted, which provides subclasses to Python’s
built-in dictionary which order its keys.

It provides two such subclasses: one for arbitrary sorting 
based on a method you provide, and one for sorting in alphabetical order.


%prep
%setup -q -n %{pip_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc AUTHORS LICENSE MANIFEST.in PKG-INFO VERSION
%{python_sitelib}/%{short_pip_name}*
%{python_sitelib}/*.egg-info

%changelog
* Wed Apr 08 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial build
